# QuickHashIntHash::set

(PECL quickhash >= Unknown)

QuickHashIntHash::set — Cette méthode met à jour une entrée dans le hachage avec une nouvelle valeur, ou ajoute une nouvelle entrée si l'entrée n'existe pas

### Description

public QuickHashIntHash::set(int `$key`, int `$value`): bool

Cette méthode tente de mettre à jour une entrée avec une nouvelle valeur. Si l'entrée n'existait pas, elle ajoutera une nouvelle entrée. Elle retourne si l'entrée a été ajoutée ou mise à jour. Si des clés en double sont présentes, seul le premier élément trouvé sera mis à jour. Utilisez `QuickHashIntHash::CHECK_FOR_DUPES` lors de la création du hachage pour empêcher les clés en double de faire partie du hachage.

### Liste de paramètres

`key`

  La clé de l'entrée à ajouter ou mettre à jour.

`value`

  La nouvelle valeur à mettre à jour l'entrée.

### Valeurs de retour

2 si l'entrée a été trouvée et mise à jour, 1 si l'entrée a été nouvellement ajoutée ou 0 s'il y a eu une erreur.

### Exemples

Exemple #1 Exemple de QuickHashIntHash::set()

`<?php
$hash = new QuickHashIntHash( 1024 );
echo "Set->Add\n";
var_dump( $hash->get( 46692 ) );
var_dump( $hash->set( 46692, 16091 ) );
var_dump( $hash->get( 46692 ) );
echo "Set->Update\n";
var_dump( $hash->set( 46692, 29906 ) );
var_dump( $hash->get( 46692 ) );
?>`

Résultat de l'exemple ci-dessus est similaire à :

    bool(false)
    int(2)
    int(16091)
    Set->Update
    int(1)
    int(29906)